> ## Documentation Index
> Fetch the complete documentation index at: https://safepay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Webhook Delivery

> Retrieve a specific webhook delivery status and payload.



## OpenAPI

````yaml get /v1/aggregators/{raast-aggregator-id}/webhooks/{endpoint}/deliveries/{delivery}
openapi: 3.1.0
info:
  title: Raast Wire
  version: 1.0.0
  description: ''
servers:
  - url: https://api.getsafepay.com/raastwire
security: []
tags:
  - name: Aggregators
  - name: Access Keys
  - name: Merchants
  - name: Raast Merchants
  - name: Payments
  - name: Refunds
  - name: QRs
  - name: Utilities
  - name: Aliases
  - name: Ledgers
  - name: Webhooks
paths:
  /v1/aggregators/{raast-aggregator-id}/webhooks/{endpoint}/deliveries/{delivery}:
    parameters:
      - $ref: '#/components/parameters/AggregatorIdParam'
      - $ref: '#/components/parameters/WebhookEndpointParam'
      - $ref: '#/components/parameters/WebhookDeliveryParam'
    get:
      tags:
        - Webhooks
      summary: Find Webhook Delivery
      description: Retrieve a specific webhook delivery status and payload.
      responses:
        '200':
          $ref: '#/components/responses/FindWebhookDeliveryResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - apiKey: []
components:
  parameters:
    AggregatorIdParam:
      name: raast-aggregator-id
      in: path
      required: true
      schema:
        type: string
        example: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
      description: The unique identifier for the aggregator
    WebhookEndpointParam:
      name: endpoint
      in: path
      required: true
      schema:
        type: string
        example: wh_6b849c6f-c091-4ad3-b7a9-de06415c6db3
      description: The unique identifier for the webhook endpoint
    WebhookDeliveryParam:
      name: delivery
      in: path
      required: true
      schema:
        type: string
        example: whd_f35737a8-60d0-4d62-8259-9cade007570a
      description: The unique identifier for the webhook delivery
  responses:
    FindWebhookDeliveryResponse:
      description: This response contains details of a webhook delivery
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/StandardResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/WebhookDelivery'
                required:
                  - data
          examples:
            WebhookDeliveryFound:
              value:
                api_version: v1
                data:
                  token: wh_7f3c2d10
                  endpoint_token: wh_ep_02c9b78d
                  aggregator_id: agg_b12f8c30
                  event_id: evt_8aa12f
                  type: payment.succeeded
                  payload_json: '{"id":"evt_8aa12f","object":"event"}'
                  status: WD_DELIVERED
                  attempts: 2
                  last_error: ''
                  next_attempt_at: '2025-12-15T09:05:00Z'
                  created_at: '2025-12-15T09:00:00Z'
                  delivered_at: '2025-12-15T09:00:04Z'
    BadRequest:
      description: Bad request
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/ErrorResponse'
              - type: object
                properties:
                  code:
                    example: error.bad_request
                  message:
                    example: Invalid request parameters
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        api_version:
          type: string
          example: v1
          description: The current version of the API spec
        data:
          type: object
          description: Contains the response data
    WebhookDelivery:
      type: object
      description: Delivery attempt metadata for a webhook event.
      properties:
        token:
          type: string
          description: Public token representing the webhook delivery.
        endpoint_token:
          type: string
          description: Identifier of the webhook endpoint this delivery was sent to.
        aggregator_id:
          type: string
          description: Aggregator that owns the webhook endpoint.
        event_id:
          type: string
          description: Event identifier associated with this delivery.
        type:
          type: string
          description: Event type delivered.
        payload_json:
          type: string
          description: Raw JSON payload delivered to the endpoint.
        status:
          type: string
          description: Current status of the delivery attempt.
        attempts:
          type: integer
          description: Number of attempts made to deliver the payload.
        last_error:
          type: string
          description: Last error message if delivery failed.
        next_attempt_at:
          $ref: '#/components/schemas/Timestamp'
          description: Timestamp for the next scheduled retry, if applicable.
        created_at:
          $ref: '#/components/schemas/Timestamp'
        delivered_at:
          $ref: '#/components/schemas/Timestamp'
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human-readable error message
    Timestamp:
      type: string
      format: date-time
      description: ISO 8601 timestamp in UTC
      example: '2025-03-13T09:12:34.000Z'
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-SFPY-AGGREGATOR-SECRET-KEY
      in: header

````